SimpleTimeZone
Date: 2016-06-24

java.util

## Class SimpleTimeZone

- java.lang.Object
- - java.util.TimeZone
  - - java.util.SimpleTimeZone

- All Implemented Interfaces:
    Serializable, Cloneable

      public class SimpleTimeZone
      extends TimeZone

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STANDARD_TIME`
    `static int` | `UTC_TIME`
    `static int` | `WALL_TIME`

    - ### Fields inherited from class java.util.TimeZone

      `LONG, SHORT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTimeZone(int var0, String var1)`
    `SimpleTimeZone(int var0, String var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8, int var9)`
    `SimpleTimeZone(int var0, String var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8, int var9, int var10)`
    `SimpleTimeZone(int var0, String var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8, int var9, int var10, int var11, int var12)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOffset(int var0, int var1, int var2, int var3, int var4, int var5)`
    `int` | `getRawOffset()`
    `boolean` | `inDaylightTime(Date var0)`
    `void` | `setDSTSavings(int var0)`
    `void` | `setEndRule(int var0, int var1, int var2)`
    `void` | `setEndRule(int var0, int var1, int var2, int var3)`
    `void` | `setEndRule(int var0, int var1, int var2, int var3, boolean var4)`
    `void` | `setRawOffset(int var0)`
    `void` | `setStartRule(int var0, int var1, int var2)`
    `void` | `setStartRule(int var0, int var1, int var2, int var3)`
    `void` | `setStartRule(int var0, int var1, int var2, int var3, boolean var4)`
    `void` | `setStartYear(int var0)`
    `boolean` | `useDaylightTime()`

    - ### Methods inherited from class java.util.TimeZone

      `clone, getAvailableIDs, getAvailableIDs, getDefault, getDisplayName, getDisplayName, getDisplayName, getDisplayName, getDSTSavings, getID, getOffset, getTimeZone, hasSameRules, setDefault, setID`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STANDARD_TIME

          public static final int STANDARD_TIME

      See Also:
        Constant Field Values

    - #### UTC_TIME

          public static final int UTC_TIME

      See Also:
        Constant Field Values

    - #### WALL_TIME

          public static final int WALL_TIME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SimpleTimeZone

          public SimpleTimeZone(int var0,
                        String var1)

    - #### SimpleTimeZone

          public SimpleTimeZone(int var0,
                        String var1,
                        int var2,
                        int var3,
                        int var4,
                        int var5,
                        int var6,
                        int var7,
                        int var8,
                        int var9)

    - #### SimpleTimeZone

          public SimpleTimeZone(int var0,
                        String var1,
                        int var2,
                        int var3,
                        int var4,
                        int var5,
                        int var6,
                        int var7,
                        int var8,
                        int var9,
                        int var10)

    - #### SimpleTimeZone

          public SimpleTimeZone(int var0,
                        String var1,
                        int var2,
                        int var3,
                        int var4,
                        int var5,
                        int var6,
                        int var7,
                        int var8,
                        int var9,
                        int var10,
                        int var11,
                        int var12)

  - ### Method Detail

    - #### getOffset

          public int getOffset(int var0,
                      int var1,
                      int var2,
                      int var3,
                      int var4,
                      int var5)

      Specified by:
        `getOffset` in class `TimeZone`

    - #### getRawOffset

          public int getRawOffset()

      Specified by:
        `getRawOffset` in class `TimeZone`

    - #### inDaylightTime

          public boolean inDaylightTime(Date var0)

      Specified by:
        `inDaylightTime` in class `TimeZone`

    - #### setDSTSavings

          public void setDSTSavings(int var0)

    - #### setEndRule

          public void setEndRule(int var0,
                        int var1,
                        int var2)

    - #### setEndRule

          public void setEndRule(int var0,
                        int var1,
                        int var2,
                        int var3)

    - #### setEndRule

          public void setEndRule(int var0,
                        int var1,
                        int var2,
                        int var3,
                        boolean var4)

    - #### setRawOffset

          public void setRawOffset(int var0)

      Specified by:
        `setRawOffset` in class `TimeZone`

    - #### setStartRule

          public void setStartRule(int var0,
                          int var1,
                          int var2)

    - #### setStartRule

          public void setStartRule(int var0,
                          int var1,
                          int var2,
                          int var3)

    - #### setStartRule

          public void setStartRule(int var0,
                          int var1,
                          int var2,
                          int var3,
                          boolean var4)

    - #### setStartYear

          public void setStartYear(int var0)

    - #### useDaylightTime

          public boolean useDaylightTime()

      Specified by:
        `useDaylightTime` in class `TimeZone`